Subject: bug#51039: closed (Re: bug#51039: [PATCH] gnu: python-gitpython: Update to 3.1.20.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Oct 2021 10:20:01 +0000

Your bug report

#51039: [PATCH] gnu: python-gitpython: Update to 3.1.20.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51039: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51039
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51039: [PATCH] gnu: python-gitpython: Update to 3.1.20.
From: Arun Isaac <[email-masked]>
To: jgart <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Oct 2021 15:49:43 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi jgart,

Thanks for the updated patch! I have pushed this patch to master with
the following changes.

> * gnu/packages/version-control.scm (python-gitpython): Update to 3.1.24.
>
> [propagated-inputs]: Add python-typing-extensions.

I removed the blank line above before [propagated-inputs], added a
copyright header for you, removed the #t return from the custom
embed-git-reference phase, and mentioned the removal in the commit
message.

>      (arguments
>       `(#:tests? #f ;XXX: Tests can only be run within the GitPython
>       repository.

If you have the time and are interested, you could also try getting the
tests working for this package, and send a patch with me on Cc. I'll be
happy to review it. Judging from the comment, it seems like switching
from PyPI to the GitHub source might be the solution.

Thanks!
Arun

Subject: [PATCH] gnu: python-gitpython: Update to 3.1.20.
From: jgart <[email-masked]>
To: [email-masked]
Cc: jgart <[email-masked]>
Date: Tue, 5 Oct 2021 11:19:57 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/version-control.scm (python-gitpython): Update to 3.1.20.
---
 gnu/packages/version-control.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index ead33ad10e..201cacbf6b 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -1157,13 +1157,13 @@ allowing to handle large objects with a small memory footprint.")
 (define-public python-gitpython
   (package
     (name "python-gitpython")
-    (version "3.1.0")
+    (version "3.1.20")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "GitPython" version))
               (sha256
                (base32
-                "1jzllsy9lwc9yibccgv7h9naxisazx2n3zmpy21c8n5xhysw69p4"))))
+                "06b5cdvrh3lx6jvzd325q0lvgfp3cq2dzkxhhx9sc0q740m0f3nz"))))
     (build-system python-build-system)
     (arguments
      `(#:tests? #f ;XXX: Tests can only be run within the GitPython repository.
-- 
2.33.0